org.apache.sling.resourcebuilder.impl

## Class ResourceBuilderFactoryService

- java.lang.Object
- - org.apache.sling.resourcebuilder.impl.ResourceBuilderFactoryService

All Implemented Interfaces:
  ResourceBuilderFactory

    public class ResourceBuilderFactoryService
    extends Object
    implements ResourceBuilderFactory

ResourceBuilderFactory service.

### Constructor Summary

Constructors
Constructor and Description
`ResourceBuilderFactoryService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull ResourceBuilder` `forParent(@NotNull org.apache.sling.api.resource.Resource parent)` Start a ResourceBuilder using the supplied parent resource
`@NotNull ResourceBuilder` `forResolver(@NotNull org.apache.sling.api.resource.ResourceResolver r)` Start a ResourceBuilder using the supplied ResourceResolver, starting with the root resource as the builder's parent resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceBuilderFactoryService

    public ResourceBuilderFactoryService()

### Method Detail

#### forParent

    @NotNull
    public @NotNull ResourceBuilder forParent(@NotNull
                                                        @NotNull org.apache.sling.api.resource.Resource parent)

Description copied from interface: `ResourceBuilderFactory`
Start a ResourceBuilder using the supplied parent resource

Specified by:
  `forParent` in interface `ResourceBuilderFactory`
Returns:
  the new builder

#### forResolver

    @NotNull
    public @NotNull ResourceBuilder forResolver(@NotNull
                                                          @NotNull org.apache.sling.api.resource.ResourceResolver r)

Description copied from interface: `ResourceBuilderFactory`
Start a ResourceBuilder using the supplied ResourceResolver, starting with the root resource as the builder's parent resource.

Specified by:
  `forResolver` in interface `ResourceBuilderFactory`
Returns:
  the new builder